const Constants = require("@/utils/Constants");

// components/dkbase/dk-stepper/dk-stepper.js
Component({

  /**
   * 组件的属性列表
   */
  properties: {
    // 设置数字部分显示宽度
    inputWidth: {
      type: String,
      value: "32px"
    },
    value: {
      type: Number,
      observer: function (newVal) {
        this.setData({
          dataValue: newVal
        })
      }
    },
    min: {
      type: Number
    },
    step: {
      type: Number,
      value: 1
    },
    readonly: {
      type: Boolean,
      value: false
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    inputTimer: null,
    dataValue: null,
    max: 0
  },

  /**
   * 组件的方法列表
   */
  methods: {
    /**
     * 步进器数值改变
     * @author 刘尧
     */
    changeStep(e) {
      console.log('e', e);
      this.setData({
        dataValue: e.detail.inputValue,
      })
      // 触发自定义事件  
      this.triggerEvent('change', this.data.dataValue);
    },
    /**
     * @desc   : 减法
     * @author : 周兴
     * @date   : 2024/2/2 11:46
     */
    handleMinus() {
      let dataValue = this.data.dataValue
      let min = this.data.min
      dataValue = dataValue - this.data.step
      if (dataValue >= min) {
        this.setData({
          dataValue: dataValue,
        })
      }
      // 触发自定义事件  
      this.triggerEvent('change', this.data.dataValue);
    },
    /**
     * @desc   : 加法
     * @author : 周兴
     * @date   : 2024/2/2 11:46
     */
    handlePlus() {
      let dataValue = this.data.dataValue
      let max = this.data.max
      console.log('max', max, dataValue);
      dataValue = dataValue + this.data.step
      if (dataValue <= max) {
        this.setData({
          dataValue: dataValue,
        })
      }
      // 触发自定义事件  
      this.triggerEvent('change', this.data.dataValue);
    },
  },
})